Navi

kami911 képe

AMD Radeon videokártyákkal kapcsolatos tudnivalók

A Linux Mint 18-as verziójában megszűnt a régebbi Radeon videókártyák AMD által fejlesztett fglrx tulajdonosi illesztőprogramok támogatása. Az AMD döntése nyomán a cég már csak az újabb videokártyák támogatására koncentrál, amelyeket az újabb amdgpu és a régebbi radeon illesztőprogramokkal támogat. Az amdgpu hibrid eszköz-illesztőprogram alapvetően szabad szoftver, de az AMD biztosít további komponenseket is. Az újabb kártyákhoz elérhetők az AMD-PRO illesztőprogram is, amely nem szabad összetevőket is tartalmaz, esetenként nagyobb teljesítményt, Vulcan és OpenCL API támogatást biztosít.

A Fedora és a Debian fejlesztők a ROCm terjesztési csomagolási lehetőségeket vizsgálják

Ami a Radeon ROCm GPU szoftveres támogatását illeti, az AMD hivatalosan csak a SUSE Linux Enterprise Server, RHEL / CentOS és Ubuntu LTS kiadásokon támogatja. De az Arch Linux már így is eléggé megkönnyíti a telepítést a harmadik féltől származó csomagokkal, és most a Fedora és a Debian fejlesztői is szemmel tartják a Radeon Open eCosystem szoftverének lehetséges csomagolását, hogy könnyebben telepíthessék ezeket a disztribúciókat.

Ha Ubuntut, RHEL/CentOS-t vagy SUSE-t használ mint támogatott vállalati Linux-disztribúciót, az AMD-nek van egy elérhető telepítési útmutatója és csomagja ahhoz, hogy beállítsa a nyílt forráskódú GPU számítási szoftverüket. De azok számára, akik más disztribúciókat használnak, a mérföldkövek eltérőek lehetnek, mivel nincs univerzális telepítő, és a saját ROCm binárisok létrehozásának lépései meglehetősen bonyolultak.

kami911 képe

Megjelent a Radeon ROCm 4.5

Az AMD kiadta a Radeon Open eCosystem 4.5 (ROCm 4.5) verziót, a Linux rendszerekhez készült nyílt forráskódú GPU compute stack legújabb verzióját. A ROCm 4.5 számos új funkciót és fejlesztést hoz magával, de a fogyasztói Radeon tulajdonosok egy részét, néhány potenciális felhasználót továbbra is frusztrálni fogja.

Először is, a ROCm 4.5 telepítésével kapcsolatban, a fejlesztők hozzáadták az amdgpu-install / amdgpu-uninstall szkripteket, csakúgy, mint a Radeon Software Linux-hoz szánt csomagok meghajtóihoz. Az amdgpu-install alapú folyamat célja, hogy a Radeon Open Compute telepítési folyamatát egyszerűsítse és a csomagolt illesztőprogram-illesztőprogram telepítéséhez hasonlóvá tegye. Ez az eltávolítást is megkönnyíti.

Az amdgpu-install alapú ROCm 4.5 telepítés támogatja az OpenCL-t, a HIP run-time-ot, a ROCm programkönyvtárakat, a ROCm alkalmazásokat, a ROCm fordítót és eszközkönyvtárakat, valamint a ROCr-t is. A források és a meglévő disztribúció-specifikus csomagolások a ROCm 4.5 esetében is elérhetőek.

Feliratkozás RSS - Navi csatornájára